Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Interface MfConstants

public interface MfConstants

MfConstants defines constants that are widely used in the monitoring interfaces.

Field Summary
`static int` | `INVALID_CALLER_THREAD` Invalid caller thread
`static int` | `INVALID_DEFINITION` Invalid transaction definition
`static int` | `INVALID_TRANSITION` Invalid transition for this transaction
`static int` | `MONITORING_DISABLED` Invalid transaction definition
`static int` | `NOT_OK` Error return code
`static int` | `OK` Return code or error code OK
`static int` | `STATUS_ABORT` Valid status value for MfTranReport and MfTransaction (=1)
`static int` | `STATUS_FAILED` Valid status value for MfTranReport and MfTransaction (=2)
`static int` | `STATUS_GOOD` Valid status value for MfTranReport and MfTransaction (=0)
`static int` | `STATUS_INVALID` MfStatus value used when application passes an invalid value (=-1)
`static int` | `STATUS_UNKNOWN` Valid status value for MfTranReport and MfTransaction (=3)

Field Detail

### INVALID_TRANSITION

    public static final int INVALID_TRANSITION

  Invalid transition for this transaction

  See Also:
    Constant Field Values

### INVALID_DEFINITION

    public static final int INVALID_DEFINITION

  Invalid transaction definition

  See Also:
    Constant Field Values

### MONITORING_DISABLED

    public static final int MONITORING_DISABLED

  Invalid transaction definition

  See Also:
    Constant Field Values

### INVALID_CALLER_THREAD

    public static final int INVALID_CALLER_THREAD

  Invalid caller thread

  See Also:
    Constant Field Values

### OK

    public static final int OK

  Return code or error code OK

  See Also:
    Constant Field Values

### NOT_OK

    public static final int NOT_OK

  Error return code

  See Also:
    Constant Field Values

### STATUS_GOOD

    public static final int STATUS_GOOD

  Valid status value for MfTranReport and MfTransaction (=0)

  See Also:
    Constant Field Values

### STATUS_ABORT

    public static final int STATUS_ABORT

  Valid status value for MfTranReport and MfTransaction (=1)

  See Also:
    Constant Field Values

### STATUS_FAILED

    public static final int STATUS_FAILED

  Valid status value for MfTranReport and MfTransaction (=2)

  See Also:
    Constant Field Values

### STATUS_UNKNOWN

    public static final int STATUS_UNKNOWN

  Valid status value for MfTranReport and MfTransaction (=3)

  See Also:
    Constant Field Values

### STATUS_INVALID

    public static final int STATUS_INVALID

  MfStatus value used when application passes an invalid value (=-1)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD